﻿
body {
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

/*CONTENEDOR GENERAL*/

.login-contenedor {
    display: flex;
    height: 100vh;
}

/* IZQUIERDA */
.pantalla-izquierda {
    width: 40%;
    background: white;    
    display: flex;
    justify-content: center;
    align-items: center;
    text-align:center;
    flex-direction:column;
}

.logo-login {
    width: 100%;
    max-width:200px;
}


    /* DERECHA */
.pantalla-derecha {
    width: 60%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: linear-gradient(to left, #F0F9FA, #DAECED);
    position:relative;
}

/* TARJETA */
.login-caja {
    width: 50%;
    max-width:280px;
    padding: 30px;
    background: white;
    border-radius: 12px;
    box-shadow: 0 40px 60px rgba(0,0,0,0.15);
    text-align: center;
}

/*TÍTULO*/
.login-caja{
    margin-bottom: 25px;
    
}
.login-caja h2{
    font-size: 20px;
}
.subtitulo {
    font-size: 16px;
    color: #64748b;
    margin-bottom: 20px;
}

/*IMPUT*/
.login-caja input{

    width: 70%;
    padding: 14px;
    margin-bottom: 16px;
    border-radius: 8px;
    border: 1px solid #ccc;
    text-transform:uppercase;
    font-size: 14px;
}

/*BOTÓN*/
.login-caja button {
    
    width: 50%;
    padding: 12px;
    background: linear-gradient(135deg, #3b82f6, #2563eb);
    color: white;
    border: none;
    border-radius: 8px;
    font-weight: 600;
    cursor: pointer;
    transition: 0.3s;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.5px;
    font-family: 'Poppins', sans-serif;
            
    /*Efecto flotante*/

    box-shadow: 0 8px 20px rgba(37, 99, 235, 0.3);
    transition: all 0.25s ease;
}
.login-caja button:hover{

    transform: translateY(-2px);
    box-shadow: 0 12px 25px rgba(37, 99, 235, 0.4);
}
.login-caja button:active{
    
    transform: translateY(1px);
    box-shadow: 0 4px 10px rgba(37, 99, 235, 0.2);
}
.login-error{
    margin:15px;
}
.text-danger{
    display:block;
    color: red;
    font-size:12px;
    margin-top:5px;
}
.search-input {
    text-transform: uppercase;   
}

.bienvenida {
    text-align: center;
    margin-top: 40px;
    color: #2b2b2b;
}
.bienvenida h1{
    font-size:38px;
    font-weight:700;
    margin-bottom:10px;
}
.bienvenida h2{
    font-size:24px;
    font-weight:500;
    margin-bottom:10px;
}
.bienvenida p{
    font-size:16px;
    color:#666;
}
.desarrollador {
    position: absolute;
    bottom: 25px;
    right:25px;
    background: white;
    padding:10px 20px;
    border-radius:12px;
    display:flex;
    align-items:center;
    gap:10px;
    box-shadow:0 2px 10px rgba(0,0,0,0.15);        
    font-size:10px;
}
.logochris{
    width:90px;    
}
@media (max-width: 768px) {

    .pantalla-izquierda {
        display: none;
    }

    .pantalla-derecha {
        width: 100%;
    }

    .login-caja {
        width: 90%;
        padding: 30px;
    }

    .desarrollador {
        display:none;
        /*right: 10%;
        scale: 0.8;*/
    }
}






  